<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3c.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:p="http://primefaces.org/ui">


<h:head>
	<title>Consulter le livret d'or</title>
</h:head>
<h:body>
	<style type="text/css">
p {
	line-height: 1.5;
	margin: 0;
}

nav {
	background: #282828 !important;
}
</style>

	<nav>

	<div class="card">
		<p:tabMenu activeIndex="#{param.i}">

			<p:menuitem value="Présentation" outcome="presentation"
				icon="pi pi-heart">
				<f:param name="i" value="0" />
			</p:menuitem>
			<p:menuitem value="Livret d'Or" outcome="livret"
				icon="pi pi-comments">
				<f:param name="i" value="1" />
			</p:menuitem>
			<p:menuitem value="Devenir Membre" outcome="register"
				icon="pi pi-user-plus">
				<f:param name="i" value="2" />
			</p:menuitem>

		</p:tabMenu>
	</div>

	</nav>


	<div
		style="padding: 200px 600px 200px; background-image: url('https://i.pinimg.com/originals/49/2d/3d/492d3db4b0fad70c5b1033e55e3d9577.jpg'); background-size: cover; background-position: center; background-repeat: no-repeat;">

		<p:card style="width: 40rem;min-height:40rem; margin-bottom: 2em">
			<f:facet name="title" style="text-align-last:center">
				<p
					style="text-align-last: center; font-style: oblique; font-family: 'Brush Script MT', cursive; font-size: 3em;">Livret
					d'Or</p>
			</f:facet>


			<div class="card">
				<h:form>
					<h:panelGrid columns="1" cellpadding="7">

						<c:forEach items="#{commentaireBean.getAllCommentaires()}"
							var="commentaire">

							<p:card style="width: 25rem; margin-bottom: 2em">
								<f:facet name="title">
									<h:outputText value="#{commentaire.pseudo} " />
									
							
				 				
							<p:commandButton style="float:right;"  ajax="false" icon="pi pi-thumbs-up"
											validateClient="true" styleClass="rounded-button ui-button-info ui-button-flat"
											action="#{commentaireBean.addLike()}">
											<f:param name="id" value="#{commentaire.id}"/>
				 			</p:commandButton>	
				 				
				 					<h:outputText style="float:right;color:#1692DE" value="#{commentaire.jaime} " />
				 		
								</f:facet>

								<p>
									<h:outputText value="#{commentaire.message} " />
								</p>

								<p style="float: right;">
									Posté le
									<h:outputText value="#{commentaire.date} " />
								</p>

							</p:card>

						</c:forEach>
					</h:panelGrid>
		        
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		         <p:commandButton style="float:right;" type="button"
						value="Poster un commentaire" icon="pi pi-check"
						styleClass="p-mt-3" onclick="PF('dlg2').show()" />
				</h:form>
			</div>
		</p:card>


	</div>

	<p:dialog id="dialog" name="dialog" modal="true"
		position="center center" onShow="PF('dlg2').initPosition()"
		header="Laisse un commentaire" widgetVar="dlg2" minHeight="40"
		width="350" showEffect="fade">
		<h:form>
			<h:panelGrid id="grid" columns="1" cellpadding="5">


				<p>Pseudonyme :</p>
				<p:inputText id="pseudo" name="pseudo" required="true"
					label="pseudo" value="#{commentaireBean.commentaire.pseudo}">
					<p:clientValidator />
				</p:inputText>

				<p:inputTextarea id="message" name="message" required="true"
					label="Message" style="width:250px;height:150px;"
					value="#{commentaireBean.commentaire.message}">
					<f:validateLength minimum="1" maximum="200" />
					<p:clientValidator />
				</p:inputTextarea>

			</h:panelGrid>

			<h:panelGrid id="grid2" columns="2" cellpadding="4">
				<p:commandButton value="Annuler" ajax="false" icon="pi pi-ban"
					validateClient="true" styleClass="p-mr-3"
					action="$('#dialog').dialog('close')" />
				<p:commandButton value="Soumettre" ajax="false" icon="pi pi-check"
					validateClient="true" styleClass="p-mr-3"
					action="#{commentaireBean.saveCommentaire()}" />
			</h:panelGrid>
		</h:form>
	</p:dialog>


</h:body>
</html>